QGIS Application - Bug report #18189
QGIS 3: python error when closing Processing modules dialogs
2018-02-23 01:24 PM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:3.0.0 Regression?: Yes
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 26080
Description

It happens quite frequently:

RuntimeError: wrapped C/C++ object of type AlgorithmDialog has been deleted
Traceback (most recent call last):
File "C:/OSGEQO4~1/apps/qgis-dev/./python/plugins\processing\gui\Processing Toolbox.py", line 313, in executeAlgorithm
if dig.wasExecuted():
RuntimeError: wrapped C/C++ object of type AlgorithmDialog has been deleted

History

#1 - 2018-02-26 08:55 AM - Alexander Bruy

Probably related to #18213

#2 - 2018-03-01 12:34 PM - Giovanni Manghi
- Resolution set to duplicate
- Status changed from Open to Closed
